Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280

Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../vb/legacy/post.php on line 280
Search Results - CAD Everything

Search:

Type: Posts; User: Tharwat

Page 1 of 2 1 2

Search: Search took 0.00 seconds.

  1. You're welcome anytime and happy coding. :)

    You're welcome anytime and happy coding. :)
  2. Try the following routine and let me know how you...

    Try the following routine and let me know how you get on with it;



    (defun c:Test (/ ins spc blk var)
    ;; Tharwat - Date: 17.Nov.2019 ;;
    (and (or (tblsearch "BLOCK" "2bar_402")
    ...
  3. If that is the case then I can write a new...

    If that is the case then I can write a new routine for you that inserts your desired attributed block name then assign the value of the attributes based on your requirements.

    Just list down the...
  4. Sorry, I modified the program in a hurry so just...

    Sorry, I modified the program in a hurry so just consider the following:

    (defun c:Test (/ tag bkn s)
    ;; Tharwat 22.7.2015 ;;
    (setq tag "Tag1" ;; Tag name to match
    bkn...
  5. Please try the following and change the tag &...

    Please try the following and change the tag & block name that suits yours.
    NOTE: Block must be regular and not dynamic in this case.




    (defun c:Test (/ tag bkn s)
    ;; Tharwat 22.7.2015 ;;
    ...
  6. Please try the following and change the tag &...

    Please try the following and change the tag & block name that suits yours.
    NOTE: Block must be regular and not dynamic in this case.



    (defun c:Test (/ tag bkn s)
    ;; Tharwat 22.7.2015 ;;
    ...
  7. Thank you cynwalker for the nice words and I am...

    Thank you cynwalker for the nice words and I am really happy to help people that do appreciate the time that we spend on helping them.

    Regards.
  8. Something like this ? (defun c:Test (/ s)...

    Something like this ?



    (defun c:Test (/ s)
    ;; Tharwat 22.7.2015 ;;
    (princ "\nSelect Attributed Blocks")
    (if (setq s (ssget "_:L" '((0 . "INSERT")(66 . 1))))
    ((lambda (i / sn)
    ...
  9. Replies
    12
    Views
    11,861

    Okay , Is there anything else that you would...

    Okay ,

    Is there anything else that you would like to add to the routine ?
  10. Replies
    12
    Views
    11,861

    Try this now and let me know . (defun...

    Try this now and let me know .



    (defun c:HVlines (/ _Ang *error* kw s ss i sn e)
    ;;----------------------------;;
    ;; Tharwat 13. Dec. 2012 ;;
    ;; Modified on 01/06/2015 ;;
    ...
  11. Replies
    3
    Views
    7,397

    You posted your question in all AutoLISP forums...

    You posted your question in all AutoLISP forums :bash2:

    Solution
  12. Replies
    12
    Views
    11,861

    You're very welcome :thumbsup:

    You're very welcome :thumbsup:
  13. Replies
    12
    Views
    11,861

    Here is a complete one with options to select...

    Here is a complete one with options to select Horizontal or Vertical or even Both .

    Enjoy ... :)



    (defun c:VHlines (/ _Ang *error* kw s ss i sn e)
    ;;; Tharwat 13. Dec. 2012 ;;;
    (defun...
  14. Replies
    12
    Views
    11,861

    You are welcome ;) Hope that my explanations...

    You are welcome ;)

    Hope that my explanations would be clear to read , check it out .



    (defun c:Test (/ s ss i sn e st en)
    (if (setq s (ssadd) ; make an empty selection set to add to...
  15. Replies
    12
    Views
    11,861

    Try this for vertical lines and I am sure that...

    Try this for vertical lines and I am sure that you can handle the second code for horizontal lines .



    (defun c:Test (/ s ss i sn e st en)
    (if (setq s (ssadd)
    ss (ssget "_x"...
  16. That is easy to do and to run the routine with...

    That is easy to do and to run the routine with every drawing and it would rename the block if it is found in the drawing .

    Is that what you need ?
  17. How would you rename these blocks ? the old and...

    How would you rename these blocks ? the old and the new ones .
  18. Replies
    19
    Views
    5,597

    Hope you like the idea of the two codes . :)

    Hope you like the idea of the two codes . :)
  19. Replies
    19
    Views
    5,597

    Two solutions were given here .... ...

    Two solutions were given here ....

    http://www.cadtutor.net/forum/showthread.php?73296-dimensioning-question/page7
  20. Replies
    19
    Views
    24,535

    Hi , Can you upload a copy of the Excel file ?...

    Hi ,

    Can you upload a copy of the Excel file ? if not all of the information , just two or three lines of it which
    means that the rest of excel file lines are all the same .

    Thanks
  21. Try this piece of code .... (defun c:Test...

    Try this piece of code ....



    (defun c:Test (/ s ss e ent lst i)
    ;;; Tharwat 11. July. 2012 ;;;
    (princ "\n Select first Attributed Block :")
    (if (setq s (ssget "_+.:S" '((0 . "INSERT")...
  22. Replies
    6
    Views
    11,652

    Did you try my code ? wasn't helpful at all ?

    Did you try my code ?

    wasn't helpful at all ?
  23. Replies
    6
    Views
    11,652

    Try this ... (defun c:test (/ ss i sn...

    Try this ...



    (defun c:test (/ ss i sn name block blocks e x)
    (vl-load-com)
    ;;; Tharwat 04. June. 2012 ;;;
    (if (setq ss (ssget "_:L" '((0 . "INSERT"))))
    (progn
    (repeat...
  24. Replies
    2
    Views
    3,484

    mouse jumps when pointing to blocks

    May be the snap & grid modes are on , or one of them .
  25. Replies
    7
    Views
    9,287

    According to your needs the .tif attachments are...

    According to your needs the .tif attachments are belong to images and this is not the issue at the moment , they are just logos of a company attached to the frame or so .

    Anyway I have doubt that...
Results 1 to 25 of 26
Page 1 of 2 1 2